Bug 1651194 - Client-side printing/export to PDF doesn't display quadicon properly
Summary: Client-side printing/export to PDF doesn't display quadicon properly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Angelina Vasileva
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 11:48 UTC by Angelina Vasileva
Modified: 2019-02-12 16:50 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:50:10 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Broken quadicon in the exported PDF (33.33 KB, image/png)
2018-11-19 11:48 UTC, Angelina Vasileva
no flags Details
quadicon in 5.10.0.25 (27.17 KB, image/png)
2018-11-23 10:22 UTC, Angelina Vasileva
no flags Details

Description Angelina Vasileva 2018-11-19 11:48:28 UTC
Created attachment 1507190 [details]
Broken quadicon in the exported PDF

Description of problem:
Client-side printing/export to PDF doesn't display quadicon properly for Infrastructure Provider summary page

Version-Release number of selected component (if applicable):
5.10.0.24.20181113213923_03b81fd

How reproducible:
Always

Steps to Reproduce:
1. Add an Infrastructure Provider (tested with VMware)
2. Open the summary page of the provider
3. In the toolbar click "Print or export summary"

Actual results:
Quadicon is not shown correctly, see the attached picture

Expected results:
Quadicon is shown correctly, exactly as in the UI

Additional info:
Client-side printing was introduced here https://bugzilla.redhat.com/show_bug.cgi?id=1588072

Comment 3 CFME Bot 2018-11-19 18:26:27 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/3505e68c087977e6edefc62527d465bffc702f81
commit 3505e68c087977e6edefc62527d465bffc702f81
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Mon Nov 19 12:10:44 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Mon Nov 19 12:10:44 2018 -0500

    Load ui-components for printing with asset pipeline require

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1651194

 app/assets/stylesheets/print.scss | 6 +-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 4 CFME Bot 2018-11-19 21:57:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/91dc4d59ed3fb7117f36719bbe9c388d4bf27bbb
commit 91dc4d59ed3fb7117f36719bbe9c388d4bf27bbb
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Mon Nov 19 13:21:09 2018 -0500
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Mon Nov 19 13:21:09 2018 -0500

    Merge pull request #4941 from skateman/print-ui-components

    Load ui-components for printing with asset pipeline require

    (cherry picked from commit 9ad557b14dd91cd151c51308429303aebd092849)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1651194

 app/assets/stylesheets/print.scss | 6 +-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 5 Angelina Vasileva 2018-11-23 10:22:17 UTC
Created attachment 1508245 [details]
quadicon in 5.10.0.25

Comment 6 Angelina Vasileva 2018-11-23 10:23:11 UTC
In 5.10.0.25.20181120211723_d2fd659 the quadicon is displayed as a quadicon, but not exactly as in the UI, nor in the PR (see the attachment).

Comment 9 Angelina Vasileva 2018-12-04 13:26:06 UTC
Verified in 5.10.0.27


Note You need to log in before you can comment on or make changes to this bug.